## libgsf 1.14.8-1chinook2

=== debian/changelog ===
libgsf (1.14.8-1chinook2) unstable; urgency=low

  * Rebuild, because of of the size mismatch problem of the libgsf-1-common
    package

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 20 Apr 2008 20:04:25 +0200

libgsf (1.14.8-1chinook1) unstable; urgency=low

  * Rebuild for Maemo Chinook

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 20 Apr 2008 15:47:39 +0200

libgsf (1.14.8-1) unstable; urgency=low

  * New upstream release.
  * [debian/rules] No longer exclude win32.h on dh_install; upstream now only
    tries to install it on win32 platforms.
  * [debian/control]
    * Bumped debhelper build dependency to match compatibility level
      specified in debian/compat.
    * Updated Standards-Version.
  * [doc/gsf-office-thumbnailer.1, doc/gsf.1] Fixed lintian warnings:
    corrected font reference and switched to .URL for hyperlinks.
  * [debian/libgsf-1-dev.doc-base] Changed section to fit in the new section
    hierarchy.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 06 Mar 2008 07:57:05 +0100

libgsf (1.14.7-2chinook3) unstable; urgency=low

  * applied patch from Eduardo Lima for
    http://bugzilla.gnome.org/show_bug.cgi?id=350973
    this should fix the weird formatting issues seen in gnumeric

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 14 Feb 2008 22:44:00 +0100

libgsf (1.14.7-2chinook2) unstable; urgency=low

  * Rebuild, intended to be uploaded to extras-devel

 -- Thomas Schmidt <tschmidt@debian.org>  Sun,  3 Feb 2008 19:22:01 +0100

libgsf (1.14.7-2chinook1) unstable; urgency=low

  * Rebuild for Maemo Chinook

 -- Thomas Schmidt <tschmidt@debian.org>  Mon,  3 Dec 2007 10:05:24 +0100

libgsf (1.14.7-2) unstable; urgency=low

  * [debian/control]
    * Fixed a syntax error which was ignored by dpkg until recently.
    * Added Vcs-Svn, Vcs-Browser.
  * [debian/rules] Changed the way in which LDFLAGS are passed so
    -Wl,--as-needed has much greater effect.
  * [debian/watch] Updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 25 Nov 2007 14:29:33 +0100

libgsf (1.14.7-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 07 Sep 2007 20:31:29 +0200

libgsf (1.14.6-1) unstable; urgency=low

  * New upstream release.
  * [debian/libgsf-gnome-1-dev.install] Added gsf-gvfs includes.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 04 Sep 2007 18:57:39 +0200

libgsf (1.14.5-1) unstable; urgency=medium

  * New upstream release. Changes include:
    * Revert jump to dynamic types, they aren't threadsafe. [gnome #450722]
      (Closes: #431104)
  * [debian/rules] Ensure the symlinks for -dbg documentation are only
    included in the -dbg packages. (Closes: #429900)
  * [configure] Regenerated as the upstream version accidentally included an
    unexpanded macro.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 11 Jul 2007 19:56:46 +0200

libgsf (1.14.4-1) unstable; urgency=low

  * New upstream release.
  * [debian/control] Bump glib build dependency as per configure.in .
  * [debian/rules] Build arch independent package in binary-indep; general
    overhaul.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 19 Jun 2007 06:51:04 +0200

libgsf (1.14.3-1) unstable; urgency=medium

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon,  6 Nov 2006 22:45:03 +0100

libgsf (1.14.2-1) unstable; urgency=high

  * New upstream release. Urgency high as this includes a fix for a security
    vulnerability, [IDEF1622].
  * [debian/rules] Explicitly disable Python support.
  * [debian/libgsf-bin.install] Updated.
  * [debian/control] Updated description of libgsf-bin.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue,  3 Oct 2006 18:38:37 +0200

libgsf (1.14.1-2) unstable; urgency=low

  * [debian/libgsf-1-dev.install, debian/libgsf-gnome-1-dev.install,
    debian/rules] No longer include the .la files.
  * [debian/control] Bumped Standards-Version (no changes needed).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 22 Jun 2006 22:36:12 +0200

libgsf (1.14.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * [debian/control] Bumped Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon,  8 May 2006 23:20:29 +0200

libgsf (1.14.0-1) unstable; urgency=low

  * New upstream release.
  * [debian/rules] Restructured to make it easy to build "oldlibs" packages
    should they be needed.
  * [debian/watch] Updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu,  2 Mar 2006 07:05:51 +0100

libgsf (1.13.3-1) unstable; urgency=medium

  * New upstream release; limited changes.
  * [debian/watch] Updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon,  7 Nov 2005 06:52:45 +0100

libgsf (1.13.2-2) unstable; urgency=low

  * Upload to unstable.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue,  1 Nov 2005 18:54:14 +0100

libgsf (1.13.2-1) experimental; urgency=low

  * New upstream release. Library versioning is now separate from the
    versioning of gsf as a whole.
  * Package renames, reorganisation to take advantage of proper library
    versioning.
  * Upload to experimental for now; there are to still too many library 
    transitions happening currently.
  * [debian/control] Bumped Standards-Version.
  * [debian/rules] Link --as-needed.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 10 Oct 2005 19:22:14 +0200

libgsf (1.12.3-4) unstable; urgency=medium

  * [debian/control, debian/libgsf-1.install, debian/libgsf-gnome-1.install,
    debian/libgsf-1.dirs, debian/libgsf-gnome-1.dirs]
    Move gsf-office-thumbnailer into libgsf-gnome-1 as some people seem to
    believe having gconf installed on their system will bring about the end 
    of life as we know it. (Closes: #328371)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 22 Sep 2005 19:12:41 +0200

libgsf (1.12.3-3) unstable; urgency=low

  * Upload to unstable now that 1.12.2-1 has made it into testing.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 14 Sep 2005 07:09:10 +0200


