=== debian/control ===
Source: libgsf
Section: libs
Priority: optional
Maintainer: Thomas Schmidt <tschmidt@debian.org>
Build-Depends: debhelper (>= 4), dh-buildinfo,
 gtk-doc-tools (>= 1.2-1.2),
 libglib2.0-dev (>= 2.8.0), libxml2-dev (>= 2.6.10-1),
 libbonobo2-dev (>= 2.6.0-2), libosso-gnomevfs2-dev (>= 2.6.1.1-3),
 libbz2-dev
Vcs-Svn: svn://svn.gnome.org/svn/libgsf/trunk
Vcs-Browser: http://svn.gnome.org/viewcvs/libgsf/trunk/
Standards-Version: 3.7.3

Package: libgsf-gnome-1-dev
Section: libdevel
Architecture: any
Depends: libgsf-gnome-1-114 (= ${Source-Version}), libgsf-1-dev
Recommends: pkg-config
Description: Structured File Library - development files for GNOME
 This package contains the development files used in building applications
 that use the GNOME Structured File Library.
 .
 The GNOME Structured File Library library aims to provide an efficient
 extensible I/O abstraction for dealing with different structured file
 formats. It is actively being developed and its API is still likely to
 undergo significant changes (in particular, extensions).
 .
 This package supports the use of Bonobo, GNOME's CORBA-based component
 architecture and of GNOME-VFS, the GNOME virtual file-system.

Package: libgsf-gnome-1-114-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libgsf-gnome-1-114 (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: libgsf-1-114-dbg
Description: Structured File Library - debugging files for GNOME
 This package contains the files for debugging (applications that use the)
 the GNOME extension parts of the GNOME Structured File Library.

Package: libgsf-gnome-1-114
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Structured File Library - runtime version for GNOME
 The GNOME Structured File Library library aims to provide an efficient
 extensible I/O abstraction for dealing with different structured file
 formats.
 .
 This version of libgsf makes use of Bonobo, GNOME's CORBA-based component
 architecture and of GNOME-VFS, the GNOME virtual file-system.

Package: libgsf-1-114-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libgsf-1-114 (= ${Source-Version})
Description: Structured File Library - debugging files (basic version)
 This package contains the files for debugging (applications that use the)
 the core parts of the GNOME Structured File Library.
 .
 To debug (applications that use the) GNOME extensions to this library,
 install libgsf-gnome-1-114-dbg as well.

Package: libgsf-1-dev
Section: libdevel
Architecture: any
Depends: libgsf-1-114 (= ${Source-Version}), libglib2.0-dev (>= 2.4.1-2), libxml2-dev (>= 2.6.10-1), libbz2-dev
Recommends: pkg-config
Description: Structured File Library - development files (basic version)
 This package contains the development files used in building applications
 that use the GNOME Structured File Library.
 .
 The GNOME Structured File Library library aims to provide an efficient
 extensible I/O abstraction for dealing with different structured file
 formats. It is actively being developed and its API is still likely to
 undergo significant changes (in particular, extensions).
 .
 This is the basic development package for the GNOME Structured File library.
 It is not GNOME-specific and thus does not depend on GNOME libraries. 
 For GNOME-specific extensions, use libgsf-gnome-1-dev.

Package: libgsf-1-114
Section: libs
Architecture: any
Depends: libgsf-1-common (>= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: gnumeric (<< 1.4.4)
Description: Structured File Library - runtime version
 The GNOME Structured File Library library aims to provide an efficient
 extensible I/O abstraction for dealing with different structured file
 formats.
 .
 This is the basic runtime version of libgsf. It does not provide
 GNOME-specific extensions.

Package: libgsf-1-common
Section: libs
Architecture: all
Depends: ${misc:Depends}
Replaces: libgsf-1 (<= 1.12.3-4)
Description: Structured File Library - common files
 The GNOME Structured File Library library aims to provide an efficient
 extensible I/O abstraction for dealing with different structured file
 formats.
 .
 These are the architecture independent files that are part of libgsf,
 like translations of messages.

Package: libgsf-bin
Section: gnome
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libgsf-1 (<= 1.12.3-3), libgsf-gnome-1 (<= 1.12.3-4)
Description: Structured File Library - programs
 The GNOME Structured File Library library aims to provide an efficient
 extensible I/O abstraction for dealing with different structured file
 formats.
 .
 These are the programs that are shipped as part of libgsf. They include
 a thumbnail generator, a tar-like archiver application and a VBA macro
 extractor.
