## libgsf 1.14.8-1maemo2

=== debian/changelog ===
libgsf (1.14.8-1maemo2) unstable; urgency=low

  * Build-depend on zlib1g-dev to fix FTBFS on the autobuilder

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 26 Jun 2008 18:45:11 +0200

libgsf (1.14.8-1maemo1) unstable; urgency=low

  * Increased version nomber for the build on the autobuilder

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 26 Jun 2008 17:17:49 +0200
