=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  gtk-doc-tools (>= 1.2-1.2),
  libglib2.0-dev (>= 2.8.0), libxml2-dev (>= 2.6.10-1),
  libbonobo2-dev (>= 2.6.0-2), libosso-gnomevfs2-dev (>= 2.6.1.1-3),
- libbz2-dev
+ libbz2-dev, zlib1g-dev
 Vcs-Svn: svn://svn.gnome.org/svn/libgsf/trunk
 Vcs-Browser: http://svn.gnome.org/viewcvs/libgsf/trunk/
 Standards-Version: 3.7.3
