=== debian/control ===
Source: libgsf
Section: libs
Priority: optional
Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
Build-Depends: debhelper (>> 3.0.0), libglib2.0-dev (>= 2.4.1-2), zlib1g-dev, libxml2-dev
Standards-Version: 3.6.1

Package: libgsf-1-dev
Section: libdevel
Architecture: any
Depends: libgsf-1 (= ${Source-Version}), libglib2.0-dev (>= 2.4.1-2), zlib1g-dev, libxml2-dev
Recommends: pkg-config
Description: Dev package for Osso version of libgsf
 Patched version of libgsf used in osso-backup.

Package: libgsf-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Osso version of libgsf
 Patched version of libgsf used in osso-backup.

Package: libgsf-1-dbg
Section: misc
Priority: extra
Architecture: any
Depends: libgsf-1 (= ${binary:Version})
Description: Debug symbols for libgsf
 Debug symbols for patched version of libgsf used in osso-backup.
