## libgsf 1.14.18

=== debian/changelog ===
libgsf (1.14.18-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 08 Apr 2010 23:30:59 +0200

libgsf (1.14.17-1) unstable; urgency=low

  * New upstream release.
  * [debian/source/format] Added - switch to source format 3.0 (quilt).
  * [debian/control] Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 14 Feb 2010 16:37:02 +0100

libgsf (1.14.16-1) unstable; urgency=low

  * New upstream release.
  * [debian/control]
    * Added libglib2.0-doc build dependency to generate cross-references for
      glib symbols.
    * Added libgtk2.0-dev build dependency to have gsf-office-thumbnailer
      be able to use gdk-pixbuf functions.
    * Added libgsf-bin Suggests: imagemagick as gsf-office-thumbnailer may
      try to use "convert".

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 13 Oct 2009 21:30:58 +0200

libgsf (1.14.15-1) unstable; urgency=low

  * New upstream release.
  * [debian/control] Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 21 Jun 2009 20:40:58 +0200

libgsf (1.14.14-1) unstable; urgency=low

  * New upstream release.
  * [debian/control] 
    * Follow upstream VCS change: replaced Vcs-Svn by Vcs-git and updated
      Vcs-Browser.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 24 May 2009 07:57:27 +0200

libgsf (1.14.13-1) unstable; urgency=low

  * New upstream release.
  * This version is needed by Gnumeric 1.9.7 which has a high priority
    bugfix; setting urgency accordingly.
  * [debian/rules] Removed "--with-gnome" from confflags as it is no longer
    a separate option for the configure script.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 07 May 2009 08:26:42 +0200

libgsf (1.14.12-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 26 Apr 2009 13:57:16 +0200

libgsf (1.14.11-3) unstable; urgency=medium

  * [debian/control]
    * Dropped superfluous libgvfscommon-dev build dependency.
    * Dropped -1 package revision from libxml2-dev build dependency.
    * Updated section of the debug packages.
    * Have all packages depend on ${misc:Depends}.
    * Replaced deprecated ${Source-Version} by ${binary:Version}.
    * Updated Standards-Version.
  * [debian/rules] Don't ignore errors on make distclean.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 06 Apr 2009 20:28:58 +0200

libgsf (1.14.11-2) unstable; urgency=high

  * [gsf/gsf-output-csv.c, ChangeLog] Backport fix for a code issue which
    caused FTBFS in some environments. (Closes: #513594)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 30 Jan 2009 18:21:17 +0100

libgsf (1.14.10-3) unstable; urgency=low

  * [gsf/gsf-utils.c] Natural endian doubles aren't just used on VFP enabled
    ARM, but on ARM with EABI as well. Adjust the logic for defining
    G_FLOAT_BYTE_ORDER accordingly. Patch courtesy of Riku Voipio
    <riku.voipio@iki.fi>. (Closes: #503144)
    
 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 23 Oct 2008 19:55:22 +0200

libgsf (1.14.10-2) unstable; urgency=low

  * [debian/rules] Reenable use of gnomevfs as the oldlibs version of goffice
    relies on it. (Closes: #502971)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 22 Oct 2008 19:13:50 +0200

libgsf (1.14.10-1) unstable; urgency=low

  * New upstream release.
  * [debian/control]
    * Updated Standards-Version.
    * Added explicit build dependency on zlib1g-dev.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 19 Oct 2008 17:18:56 +0200

libgsf (1.14.9-1) unstable; urgency=low

  * New upstream release.
  * [debian/clean] New.
  * [debian/rules]
    * Removed some cleanup that's now handled by debian/clean.
    * Use "dh_prep" instead of "dh_clean -k".
  * [debian/rules, debian/control]
    * Enable gio support; bumped glib build and runtime dependencies
      accordingly.
    * Explicitly disable use of gnomevfs - use gio's implementation instead.
    * Moved gtk-doc symlink from libgsf-gnome-1-dev to libgsf-1-dev.
  * [debian/compat] Update to v7.
  * [debian/control]
    * Fix dependencies of libgsf-1-114-dbg.
    * Removed duplicate words.
    * Updated debhelper build dependency.
  * [debian/libgsf-bin.install] Add gsf-vba-dump manual page (new).
  * [debian/libgsf-gnome-1-dev.install] Remove pattern that was not used.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 30 Aug 2008 15:50:04 +0200

libgsf (1.14.8-1lenny1) testing; urgency=medium

   * Fix silent data corruption bug
     http://bugzilla.gnome.org/show_bug.cgi?id=350973:
     Gnumeric's import and export of floating point constants in xls files
     was broken on Nokia 770 / armel:
     [gsf/gsf-utils.c]
     * Natural endian doubles aren't just used on VFP enabled ARM, but on
       ARM with EABI as well. Adjust the logic for defining
       G_FLOAT_BYTE_ORDER accordingly. Patch courtesy of Riku Voipio
       <riku.voipio@iki.fi>. (Closes: #503144)
     * Add self-check code for decoding of little endian doubles, taken from
       newer upstream releases.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 27 Oct 2008 19:26:55 +0100
