=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/libgsf/([\d\.]+)/ \
        libgsf-(.*)\.tar\.gz \
        debian
