## libgsf 1.14.18-2

=== debian/changelog ===
libgsf (1.14.18-2) unstable; urgency=low

  * Enable gio

 -- Tomasz Pieniazek <t.pieniazek@gazeta.pl>  Fri, 30 Apr 2010 19:49:07 +0200
