=== debian/control ===
Source: libgsf
Section: libs
Priority: optional
Maintainer: Tomasz Pieniazek <t.pieniazek@gazeta.pl>
Build-Depends: debhelper (>> 3.0.0), libglib2.0-dev (>= 2.4.1-2), zlib1g-dev, libxml2-dev
Standards-Version: 3.6.1

Package: libgsf-1-dev
Section: libdevel
Architecture: any
Depends: libgsf-1 (= ${Source-Version}), libglib2.0-dev (>= 2.4.1-2), zlib1g-dev, libxml2-dev
Recommends: pkg-config
Description: GSF library.
 The GNOME Structured File Library (GSF) is an I/O abstraction for reading/writing compound files. 

Package: libgsf-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: GSF library.
 The GNOME Structured File Library (GSF) is an I/O abstraction for reading/writing compound files. 

Package: libgsf-1-dbg
Section: misc
Priority: extra
Architecture: any
Depends: libgsf-1 (= ${binary:Version})
Description: GSF library.
 The GNOME Structured File Library (GSF) is an I/O abstraction for reading/writing compound files.
