## libgsf 1.14.18-3

=== debian/changelog ===
libgsf (1.14.18-3) unstable; urgency=low

  * Fixed some packaging issues

 -- Tomasz Pieniazek <t.pieniazek@gazeta.pl>  Mon,  5 Jul 2010 21:37:22 +0200
