=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 configure-stamp:
 	dh_testdir
 	./configure $(confflags) \
-		--prefix=/usr --sysconfdir=/etc --without-bz2 --without-python --without-gio --without-gnome-vfs --without-bonobo
+		--prefix=/usr --sysconfdir=/etc --without-bz2 --without-python --without-gnome-vfs --without-bonobo
 
 	touch configure-stamp
